> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Page (deprecated)

GET https://api.bigcommerce.com/stores/{store_hash}/v2/pages/{id}

Returns a *Page*. 

> #### Warning
> **Deprecated**
> * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
> * To get a single page, use Pages V3ʼs [Get a page](/developer/api-reference/rest/admin/content/pages/get-page) endpoint.


Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/store-content/pages/get-page

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `id` (integer, required) — ID of the page.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `body` (string, optional) — HTML or variable that populates this page’s `<body>` element, in default/desktop view. Required in POST if page type is `raw`.
- `channel_id` (double, optional) — Channel ID.
- `contact_fields` (string, optional) — Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:`fullname` - full name of the customer submitting the form; `phone` - customer’s phone number, as submitted on the form; `companyname`- customer’s submitted company name; `orderno`- customer’s submitted order number; `rma` - customer’s submitted RMA (Return Merchandise Authorization) number.
- `content_type` (enum, optional)
  - Allowed values: `application/json`, `text/javascript`, `text/html`
- `email` (string, optional) — Where the page’s type is a contact form, the email address that receives messages sent using the form.
- `has_mobile_version` (boolean, optional) — If true, this page has a mobile version. (For Blueprint themes only)
- `id` (integer, optional) — ID of the page. Read-Only.
- `is_customers_only` (boolean, optional) — If true, this page is for customers only.
- `is_homepage` (boolean, optional) — If true, this page is the storefront’s home page.
- `is_visible` (boolean, optional) — If true, this page appears in the storefront navigation menu.
- `layout_file` (string, optional) — Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
- `link` (string, optional) — If page type is `link`, this field is returned.
- `meta_description` (string, optional) — Description contained within this page’s `<meta/>` element. HTML to use for this page’s body when viewed in the mobile template.
- `meta_keywords` (string, optional) — Comma-separated list of SEO-relevant keywords to include in the page's `<meta/>` element.
- `meta_title` (string, optional) — Text specified for this page's `<title>` element. If empty, the value of the name property is used.
- `mobile_body` (string, optional) — HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).
- `name` (string, optional) — Page name, as displayed on the storefront.
- `parent_id` (integer, optional) — ID of any parent Web page.
- `search_keywords` (string, optional) — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.
- `sort_order` (integer, optional) — Order in which this page should display on the storefront. (Lower integers specify earlier display.)
- `type` (enum, optional) — `page`: free-text page `link`: link to another web address `contact_form`: When the store’s contact form is used
  - Allowed values: `page`, `contact_form`, `raw`, `link`
- `url` (string, optional) — Relative URL on the storefront for this page.

## Examples

**Response**

```json
{
  "body": "We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.",
  "channel_id": 11,
  "has_mobile_version": false,
  "id": 6,
  "is_customers_only": true,
  "is_homepage": false,
  "is_visible": true,
  "layout_file": "page.html",
  "meta_description": "",
  "meta_keywords": "",
  "meta_title": "",
  "mobile_body": "",
  "name": "Contact Form",
  "parent_id": 5,
  "search_keywords": "",
  "sort_order": 3,
  "type": "page",
  "url": "/contact-us/"
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/pages/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/pages/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/pages/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/pages/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/pages/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/pages/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/pages/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/pages/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```